package com.hzya.frame.sys.defultField.dao;

import com.hzya.frame.sys.defultField.entity.DefultField;
import java.util.List;

/**
 * @description: 系统默认字段  dao
 * @tableName: sys_defult_field
 * @entityName: DefultField
 * @author: gjh
 * @history: 1.0
 */
public interface IDefultFieldMapper {

        //通过ID获取数据    entity_get
        DefultField entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<DefultField> entity_list_base(DefultField entity);

        //  查询符合条件的数量
        Integer entity_count(DefultField entity);

        //分页查询列表 采用like格式 entity_list_like
        List<DefultField> entity_list_like(DefultField entity);

        //查询列表 字段采用or格式   entity_list_or
        List<DefultField> entity_list_or(DefultField entity);

        //新增  entity_insert
        DefultField entity_insert(DefultField entity);

        //修改  entity_update
        Integer entity_update(DefultField entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(DefultField entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(DefultField entity);

        //物理删除
        Integer entity_delete(DefultField entity);


}
